ORG.BLUEZ.ADMINPOLICYSTATUS(5)

NAME
org.bluez.AdminPolicyStatus - BlueZ D-Bus AdminPolicyStatus API documentation

DESCRIPTION

Interface AdminPolicyStatus1 provides readonly properties to indicate the current values of admin policy affecting the Adapter and Device objects.

INTERFACE

  Adapter

    Service
        org.bluez

    Interface
        org.bluez.AdminPolicyStatus1 [experimental]

    Object path
        [variable prefix]/{hci0,hci1,...}

  Device

    Service
        org.bluez

    Interface
        org.bluez.AdminPolicyStatus1 [experimental]

    Object path
        [variable prefix]/{hci0,hci1,...}/dev_XX_XX_XX_XX_XX_XX

  Properties

  array{string} ServiceAllowList [readonly, adapter-only]
        Current value of service allow list.

  bool IsAffectedByPolicy [readonly, device-only]
        Indicate if there is any auto-connect profile in this device is not allowed by admin policy.